# BasicShader

## Import

BasicShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { BasicShader } from 'three/addons/shaders/BasicShader.js';
```

## Properties

### .BasicShader : ShaderMaterial~Shader (inner, constant)

Simple shader for testing.

## Source

[examples/jsm/shaders/BasicShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/BasicShader.js)